Subject: bug#3746: M-r in comint mode should use isearch

From: "Drew Adams" <[email-masked]>
Date: Thu, 9 Jul 2009 15:32:24 -0700

> > And depending on context doesn't necessarily mean fewer keystrokes
> > (even though you never need to hit `C-u'): If the cursor is 
> > not in the right place for the particular behavior you want,
> > then you must first move it there. I'm not sure that anything
> > significant is gained by the approach you propose, except
> > added complexity. `C-r' for history search and `C-u C-r' for
> > normal search seems reasonable, to me.
> 
> Generally, using C-u to modify behavior is a good thing but 
> not for C-r since its C-u argument runs a regular expression
> search instead.

Hm, I wonder why. ;-)

I wonder why they didn't choose to have the search behavior (regexp vs plain)
depend intelligently on the context (where the cursor is, what phase the moon is
in,...).  `C-u' seems so, well, primitive - actually leaving it up to the user
to indicate explicitly what s?he means! Surely there is some smart way to
second-guess the user in that case also. ;-)